## PkEulaRequired PkEulaRequired — EulaRequired object |

## Functions

PkEulaRequired * | pk_eula_required_new ()
const gchar * | pk_eula_required_get_eula_id ()
const gchar * | pk_eula_required_get_license_agreement ()
const gchar * | pk_eula_required_get_package_id ()
const gchar * | pk_eula_required_get_vendor_name ()

## Description

This GObject represents a eula_required from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_eula_required_new ()

    PkEulaRequired *
    pk_eula_required_new (void);

#### Returns

a new PkEulaRequired object.

Since: 0.5.4

### pk_eula_required_get_eula_id ()

    const gchar *
    pk_eula_required_get_eula_id (PkEulaRequired *eula_required);

Get the ID for this EULA

#### Parameters

eula_required | a valid PkEulaRequired instance. |

#### Returns

an ID

Since: 1.1.8

### pk_eula_required_get_license_agreement ()

    const gchar *
    pk_eula_required_get_license_agreement
                                   (PkEulaRequired *eula_required);

Get the text of the license agreement.

#### Parameters

eula_required | a valid PkEulaRequired instance. |

#### Returns

license agreement text

Since: 1.1.8

### pk_eula_required_get_package_id ()

    const gchar *
    pk_eula_required_get_package_id (PkEulaRequired *eula_required);

Get the PackageID this EULA is for

#### Parameters

eula_required | a valid PkEulaRequired instance. |

#### Returns

a PackageID

Since: 1.1.8

### pk_eula_required_get_vendor_name ()

    const gchar *
    pk_eula_required_get_vendor_name (PkEulaRequired *eula_required);

Get the vendor this EULA is from.

#### Parameters

eula_required | a valid PkEulaRequired instance. |

#### Returns

license vendor name

Since: 1.1.8

## Types and Values